require 'helper'

class TestYamlDriver < Test::Unit::TestCase
  context 'yaml driver' do
    setup do
      @base = File.expand_path('../fixtures', __FILE__)
    end

    should 'throw exception if path option is not parsed in' do
      assert_raise FatalException do
        Jekyll::Drivers::YamlDriver.new({})
      end
    end

    should 'throw exception if path option is nil' do
      assert_raise Jekyll::FatalException do
        Jekyll::Drivers::YamlDriver.new('path' => nil)
      end
    end

    should 'throw exception if file does not exist' do
      assert_raise FatalException do
        Jekyll::Drivers::YamlDriver.new('path' => 'nonexistfile')
      end
    end

    should 'load valid yaml file' do
      assert_nothing_raised FatalException do
        members = Jekyll::Drivers::YamlDriver.new('path' => File.join(@base, 'members.yaml')).load

        assert_equal members.size, 2
      end
    end
  end
end